Change log for inkscape package in Ubuntu

175 of 136 results
Published in zesty-proposed on 2017-02-16
inkscape (0.92.1-1) unstable; urgency=medium

  * New upstream version 0.92.1.
    http://wiki.inkscape.org/wiki/index.php/Release_notes/0.92.1
    + Fixes a bug involving the line-height CSS property.  Closes: #852837
  * Remove patches applied upstream.
  * Backport patch from upstream trunk:
    + 15848: support for old scour 0.26.  Closes: #852290

 -- Mattia Rizzolo <email address hidden>  Thu, 16 Feb 2017 11:32:16 +0100

Available diffs

Superseded in zesty-proposed on 2017-02-16
inkscape (0.92.0-4) unstable; urgency=medium

  * Backport more patches from upstream 0.92.x branch
    + 15320: Fix regression on selecting objects after locking layers
    + 15323: Fix crash on ungrouping in v0.92
    + 15324: Fix nsane memory leak and crash with pattern along path
    + 15325: Fixes bugs in copy LPE's
  * Move patches from upstream's 0.92.x branch under the upstream/0.92.x
    directory, and the ones from trunk under upstream/trunk,
    and name them after the upstream commit number.

 -- Mattia Rizzolo <email address hidden>  Sun, 22 Jan 2017 20:45:39 +0100
Superseded in zesty-proposed on 2017-01-23
inkscape (0.92.0-3build1) zesty; urgency=medium

  * Rebuild against new imagemagick 6.9.7.0.

 -- Gianfranco Costamagna <email address hidden>  Wed, 18 Jan 2017 13:19:02 +0100
Published in yakkety-updates on 2017-01-25
Deleted in yakkety-proposed (Reason: moved to -updates)
inkscape (0.91-11ubuntu16.10.1) yakkety; urgency=medium

  * d/rules: don't run dh_scour, to avoid breaking internal SVGs (markers, …).
    LP: #1638373

 -- Mattia Rizzolo <email address hidden>  Thu, 12 Jan 2017 09:47:37 +0100
Published in zesty-release on 2017-01-12
Deleted in zesty-proposed (Reason: moved to release)
inkscape (0.92.0-3) unstable; urgency=medium

  * d/rules: don't run dh_scour, to avoid breaking internal SVGs (markers, …).
    LP: #1638373

 -- Mattia Rizzolo <email address hidden>  Thu, 12 Jan 2017 01:05:44 +0100

Available diffs

Superseded in zesty-release on 2017-01-12
Deleted in zesty-proposed on 2017-01-13 (Reason: moved to release)
inkscape (0.92.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Gbp: back to master.
  * d/control:
    + require a new enough version of bash-completion, so backports users will
      still have bash completion after the upgrade.
    + Recommend python-scour to enable the feature "save as optimized svg".
  * New patches from upstream trunk:
    + 0002-Fix-lintian-s-executable-not-elf-or-script.patch
    + 0003-Install-the-localized-manpages-in-the-correct-path.patch
    + 0006-Suppress-warnings-on-symbols-dialog.patch
  * New patches waiting to be upstreamed:
    + 0004-typos-libcroco.patch
    + 0005-Fix-typo-in-a-variable-name.patch
  * d/inkscape.lintian-overrides: drop, lintian warnings fixed by properly
    installing the manpages.

 -- Mattia Rizzolo <email address hidden>  Mon, 09 Jan 2017 15:03:04 +0100

Available diffs

Superseded in zesty-release on 2017-01-10
Deleted in zesty-proposed on 2017-01-11 (Reason: moved to release)
inkscape (0.92.0-1) experimental; urgency=medium

  * New upstream version 0.92.0.
    https://inkscape.org/en/news/2017/01/04/inkscape-version-092-released/
    http://wiki.inkscape.org/wiki/index.php/Release_notes/0.92
    + Fix bug where arcs were not rendered accuretely.  Closes: #668224
    + Fix crash when using the poppler PDF importer.  Closes: #816494
    + Fix bug involving duplicating a text linked to a path.  Closes: #522532
    + Fix bug where Bézier curves were drawn instead of arcs.  Closes: #598791
    + Fix bug on parsing flags for arch path.  Closes: #740785
  * gbp: switch packaging branch to experimental.
  * Bump debhelper compat level to 10.
    + Drop --parallel and '--with autotools_dev', now defaults.
  * Drop patches applied upstream
    - fix-FTBFS.patch
    - reproducible-build.patch
    - fix-FTBFS-with-gcc6.patch
    - fix-cursor-color-in-BE.patch
  * Move to the cmake build system
  * d/control:
    + Build-dep on libpotrace-dev for the Trace Bitmap and Paintbucket tools.
    + Build-dep on libdbus-1-dev and libdbus-glib-1-dev for dbus support.
  * d/rules:
    + Enable DBus support.
    + Override override_dh_autoreconf, useless now that we're using cmake.

 -- Mattia Rizzolo <email address hidden>  Wed, 04 Jan 2017 16:54:12 +0100
Superseded in zesty-release on 2017-01-08
Deleted in zesty-proposed on 2017-01-09 (Reason: moved to release)
inkscape (0.91-12build1) zesty; urgency=medium

  * No-change rebuild against latest imagemagick

 -- Jeremy Bicha <email address hidden>  Fri, 16 Dec 2016 21:04:28 -0500
Superseded in zesty-release on 2016-12-18
Deleted in zesty-proposed on 2016-12-19 (Reason: moved to release)
inkscape (0.91-12) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * d/control: Use https for the Homepage field.

  [ Mattia Rizzolo ]
  * Add patch to fix cursor colors when running in a Big Endian systems.
    Thanks to Steven Gawroriski <email address hidden> for the patch.
    Closes: #841853
  * Mark the reproducible-builds patch as forwarded (and applied).

 -- Mattia Rizzolo <email address hidden>  Fri, 11 Nov 2016 16:57:07 +0000

Available diffs

Superseded in zesty-release on 2016-11-12
Published in yakkety-release on 2016-09-09
Deleted in yakkety-proposed (Reason: moved to release)
inkscape (0.91-11) unstable; urgency=medium

  * Build with gnome-pkg-tools for automatic langpack support in Ubuntu.
    This will allow to drop the last delta between Debian and Ubuntu.
    Thanks to Jeremy Bicha <email address hidden> for the patch.

 -- Mattia Rizzolo <email address hidden>  Tue, 06 Sep 2016 08:50:37 +0000
Superseded in yakkety-release on 2016-09-09
Deleted in yakkety-proposed on 2016-09-10 (Reason: moved to release)
inkscape (0.91-10ubuntu1) yakkety; urgency=medium

  * Merge with Debian, remaining changes:
    + use dh-translation to handle Ubuntu translation.

Available diffs

Superseded in yakkety-release on 2016-09-05
Deleted in yakkety-proposed on 2016-09-06 (Reason: moved to release)
inkscape (0.91-9ubuntu1) yakkety; urgency=medium

  * Resynchronize on Debian, remaining change
    - use dh-translation to handle Ubuntu translation

Superseded in yakkety-proposed on 2016-05-31
inkscape (0.91-8ubuntu3) yakkety; urgency=medium

  * No-change rebuild working around arm64 build going missing from the
    archive.

 -- Steve Langasek <email address hidden>  Thu, 26 May 2016 22:46:42 -0700

Available diffs

Superseded in yakkety-proposed on 2016-05-27
inkscape (0.91-8ubuntu2) yakkety; urgency=medium

  * No change rebuild with the new poppler

 -- Robert Ancell <email address hidden>  Wed, 25 May 2016 09:16:09 +1200

Available diffs

Superseded in yakkety-release on 2016-06-10
Deleted in yakkety-proposed on 2016-06-11 (Reason: moved to release)
inkscape (0.91-8ubuntu1) yakkety; urgency=medium

  * Merge with Debian.  Remaining changes:
    - build-depend on dh-translations to handle Ubuntu translations.
    - use dh --with translations.
  * Dropped delta:
    - Demote pstoedit to Suggests (incorporated in Debian).

Available diffs

Superseded in yakkety-release on 2016-04-29
Deleted in yakkety-proposed on 2016-04-30 (Reason: moved to release)
inkscape (0.91-7ubuntu3) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <email address hidden>  Sat, 23 Apr 2016 00:10:58 +0000

Available diffs

Superseded in yakkety-release on 2016-04-23
Published in xenial-release on 2016-03-14
Deleted in xenial-proposed (Reason: moved to release)
inkscape (0.91-7ubuntu2) xenial; urgency=medium

  * No change rebuild with the new poppler

 -- Sebastien Bacher <email address hidden>  Mon, 29 Feb 2016 11:06:01 +0100

Available diffs

Superseded in xenial-release on 2016-03-14
Deleted in xenial-proposed on 2016-03-15 (Reason: moved to release)
inkscape (0.91-7ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - build-depend on dh-translation to handle Ubuntu translation,
    - demote pstoedit from Recommends to Suggests (because it's in
      universe),
    - Fix translations integration in debian/rules to use the dh sequence,
      instead of overriding dh_install.

Available diffs

Superseded in xenial-release on 2016-02-09
Deleted in xenial-proposed on 2016-02-10 (Reason: moved to release)
inkscape (0.91-6ubuntu5) xenial; urgency=high

  * Rebuild against libpoppler57/s390x.

 -- Dimitri John Ledkov <email address hidden>  Tue, 08 Dec 2015 21:08:51 +0000
Superseded in xenial-proposed on 2015-12-08
inkscape (0.91-6ubuntu4) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <email address hidden>  Tue, 08 Dec 2015 13:24:27 -0500

Available diffs

Superseded in xenial-proposed on 2015-12-08
inkscape (0.91-6ubuntu3) xenial; urgency=medium

  * No change rebuild with the new poppler

 -- Robert Ancell <email address hidden>  Mon, 23 Nov 2015 11:25:06 +1300

Available diffs

Superseded in xenial-release on 2015-12-10
Deleted in xenial-proposed on 2015-12-11 (Reason: moved to release)
inkscape (0.91-6ubuntu2) xenial; urgency=medium

  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.

 -- Iain Lane <email address hidden>  Tue, 10 Nov 2015 15:05:53 +0000
Superseded in xenial-proposed on 2015-11-10
inkscape (0.91-6ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - build-depend on dh-translation to handle Ubuntu translation,
    - demote pstoedit from Recommends to Suggests (because it's in
      universe),
  * Fix translations integration in debian/rules to use the dh sequence,
    instead of overriding dh_install.
  * Drop Recommends on perlmagick, which was dropped in Debian but
    accidentally left in the Ubuntu diff in last merge.

Available diffs

Superseded in xenial-proposed on 2015-10-28
inkscape (0.91-5ubuntu3) xenial; urgency=medium

  * No change rebuild against the new libpoppler soname

 -- Sebastien Bacher <email address hidden>  Mon, 26 Oct 2015 17:13:27 +0100

Available diffs

Superseded in xenial-release on 2015-11-13
Published in wily-release on 2015-08-16
Deleted in wily-proposed (Reason: moved to release)
inkscape (0.91-5ubuntu2) wily; urgency=medium

  * No-change rebuild against libcdr-0.1-1v5

 -- Steve Langasek <email address hidden>  Thu, 06 Aug 2015 20:08:14 +0000

Available diffs

Superseded in wily-release on 2015-08-16
Deleted in wily-proposed on 2015-08-18 (Reason: moved to release)
inkscape (0.91-5ubuntu1) wily; urgency=low

  * Merge from Debian unstable (LP: #1471394).  Remaining changes:
    - debian/control:
      + build-depend on dh-translation to handle Ubuntu translation,
      + demote pstoedit from Recommends to Suggests (because it's in
        universe),
    - debian/rules:
      + add dh_translation to handle Ubuntu translation

Available diffs

Superseded in wily-release on 2015-07-06
Deleted in wily-proposed on 2015-07-07 (Reason: moved to release)
inkscape (0.91-3ubuntu2) wily; urgency=medium

  * No-change rebuild against new poppler

 -- Iain Lane <email address hidden>  Tue, 23 Jun 2015 12:29:21 +0100

Available diffs

Superseded in wily-release on 2015-06-25
Published in vivid-release on 2015-02-19
Deleted in vivid-proposed (Reason: moved to release)
inkscape (0.91-3ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable (LP: #1416651).  Remaining changes:
    - debian/control:
      + build-depend on dh-translation to handle Ubuntu translation,
      + demote pstoedit from Recommends to Suggests (because it's in
        universe),
    - debian/rules:
      + add dh_translation to handle Ubuntu translation
  * debian/patches/0006_add_unity_quicklist_support.patch: dropped, accepted
    upstream.

Available diffs

Superseded in vivid-release on 2015-02-19
Deleted in vivid-proposed on 2015-02-20 (Reason: moved to release)
inkscape (0.48.5-3ubuntu2) vivid; urgency=medium

  * 0008-Poppler-0.30-compatibility.patch: Cherry-pick patch from upstream to
    support building against poppler 0.30, which changed the type of
    GfxColorSpace::parse.
 -- Iain Lane <email address hidden>   Wed, 21 Jan 2015 12:15:08 +0000
Superseded in vivid-release on 2015-01-22
Deleted in vivid-proposed on 2015-01-23 (Reason: moved to release)
inkscape (0.48.5-3ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + build-depend on dh-translation to handle Ubuntu translation,
      + demote pstoedit from Recommends to Suggests (because it's in universe),
    - debian/patches/0006_add_unity_quicklist_support.patch: add.
    - debian/rules:
      + add dh_translation to handle Ubuntu translation

Superseded in vivid-release on 2014-11-17
Deleted in vivid-proposed on 2014-11-18 (Reason: moved to release)
inkscape (0.48.5-2ubuntu3) vivid; urgency=medium

  * No-change rebuild for new poppler
 -- Iain Lane <email address hidden>   Wed, 12 Nov 2014 15:46:23 +0000
Superseded in vivid-release on 2014-11-14
Deleted in vivid-proposed on 2014-11-15 (Reason: moved to release)
inkscape (0.48.5-2ubuntu2) vivid; urgency=medium

  * Rebuild against libmagickcore-6.q16-2.
 -- Colin Watson <email address hidden>   Thu, 30 Oct 2014 16:01:07 +0000

Available diffs

Superseded in vivid-release on 2014-11-12
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
inkscape (0.48.5-2ubuntu1) utopic; urgency=medium

  * Merge with Debian Unstable (LP: #1358863). Fixes several Ubuntu bugs:
    - Illustrator CS SVG won't load: namespace URIs in entities (LP: #166371)
    - inkscape crashed with SIGSEGV in
      sp_dtw_color_profile_event() (LP: #966441)
    - inkscape crashed with SIGSEGV (LP: #1051017)
    - inkscape crashed with SIGSEGV in Inkscape::Preferences::_getNode()
      (LP: #1163241)
    - save a copy reverts to save as (LP: #529843)
    - Extension to braille not working on Xubuntu 12.10 (LP: #1090865)
  * Remaining changes:
    - debian/control:
      + Set Ubuntu Developer as maintainer,
      + build-depend on dh-translation to handle Ubuntu translation,
      + demote pstoedit from Recommends to Suggests (because it's in universe),
    - debian/patches/0006_add_unity_quicklist_support.patch: add.
    - debian/patches/series: update.
    - debian/rules:
      + add dh_translation to handle Ubuntu translation
  * Drop debian/patches/librevenge.patch (superseded by
      debian/patches/0006-Update_to_new_libwpg.patch)

Available diffs

Superseded in utopic-release on 2014-08-22
Deleted in utopic-proposed on 2014-08-23 (Reason: moved to release)
inkscape (0.48.4-5ubuntu2) utopic; urgency=medium

  * Build with experimental patch against librevenge.
 -- Dimitri John Ledkov <email address hidden>   Mon, 28 Jul 2014 19:46:05 +0100
Superseded in utopic-release on 2014-07-29
Deleted in utopic-proposed on 2014-07-30 (Reason: moved to release)
inkscape (0.48.4-5ubuntu1) utopic; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - debian/control:
      + Set Ubuntu Developer as maintainer,
      + build-depend on dh-translation to handle Ubuntu translation,
      + demote pstoedit from Recommends to Suggests (because it's on universe),
    - debian/patches/0006_add_unity_quicklist_support.patch: add.
    - debian/patches/series: update.
    - debian/rules:
      + add dh_translation to handle Ubuntu translation,
      + add python2 to dh addon.

Superseded in utopic-release on 2014-06-20
Deleted in utopic-proposed on 2014-06-22 (Reason: moved to release)
inkscape (0.48.4-3ubuntu3) utopic; urgency=medium

  * 0007-Poppler-0.26-compatibility.patch: Take patch from bug #1315142 to fix
    compatibility with poppler 0.26.
 -- Iain Lane <email address hidden>   Tue, 27 May 2014 07:52:27 +0100
Superseded in utopic-release on 2014-05-28
Published in trusty-release on 2014-02-04
Deleted in trusty-proposed (Reason: moved to release)
inkscape (0.48.4-3ubuntu2) trusty; urgency=medium

  * Rebuild for the new poppler soname
 -- Sebastien Bacher <email address hidden>   Wed, 22 Jan 2014 22:50:50 +0100

Available diffs

Superseded in trusty-release on 2014-02-04
Deleted in trusty-proposed on 2014-02-06 (Reason: moved to release)
inkscape (0.48.4-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1225013).  Remaining changes:
    - debian/control:
      + Set Ubuntu Developer as maintainer,
      + build-depend on dh-translation to handle Ubuntu translation,
      + build against liblcsm2 instead of liblcsm1,
      + demote pstoedit from Recommends to Suggests (because it's on universe),
      + add a ${python:Depends}.
    - debian/patches/0006_add_unity_quicklist_support.patch: add.
    - debian/patches/series: update.
    - debian/rules:
      + add dh_translation to handle Ubuntu translation,
      + add python2 to dh addon.
  * Debian changes:
    - debian/control: make description more user-friendly (LP: #811634)

Superseded in trusty-release on 2014-01-15
Deleted in trusty-proposed on 2014-01-16 (Reason: moved to release)
inkscape (0.48.4-1ubuntu4) trusty; urgency=medium

  * 05-freetype-include.patch: Use freetype upstream's recommended include.
 -- Adam Conrad <email address hidden>   Wed, 25 Dec 2013 15:22:40 -0700

Available diffs

Superseded in trusty-release on 2013-12-26
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
inkscape (0.48.4-1ubuntu3) saucy; urgency=low

  * No change rebuild with the new poppler
 -- Sebastien Bacher <email address hidden>   Tue, 30 Jul 2013 19:43:26 +0200

Available diffs

Superseded in saucy-release on 2013-08-05
Deleted in saucy-proposed on 2013-08-06 (Reason: moved to release)
inkscape (0.48.4-1ubuntu2) saucy; urgency=low

  * Rebuild to pick up new libgc package name
 -- Matthias Klose <email address hidden>   Wed, 03 Jul 2013 12:04:12 +0000

Available diffs

Superseded in saucy-release on 2013-07-18
Deleted in saucy-proposed on 2013-07-19 (Reason: moved to release)
inkscape (0.48.4-1ubuntu1) saucy; urgency=low

  * Merge from Debian Unstable (LP: #1194855)
    - debian/control:
      + Ubuntu maintainers
      + Build against lcms2
      + promote libgnomevfs2-extra to recommends
      + Demote pstoedit to Suggests (universe package).
      + Suggest transfig to allow import of xfig files
      + Drop unnecessary python and skencil suggestions
    - Handle translation tasks for Ubuntu main:
      + debian/rules: Add dh_translations to binary-arch rule
      + debian/control: Build-Depends dh-translations
    - Drop debian/patches/bzr-fix-for-gcc48.patch: Superseded by
      04-Fix_FTBFS_on_gcc-4.8.patch
    - debian/patches/01_add_unity_quicklist_support.patch: add "New Drawing"
      to Unity quicklist

Superseded in saucy-release on 2013-07-02
Deleted in saucy-proposed on 2013-07-04 (Reason: moved to release)
inkscape (0.48.4-0.1ubuntu3) saucy; urgency=low

  * debian/patches/bzr-fix-for-gcc48.patch: fix build with gcc 4.8.
 -- Dmitry Shachnev <email address hidden>   Mon, 29 Apr 2013 11:22:17 +0400
Superseded in saucy-release on 2013-06-03
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
inkscape (0.48.4-0.1ubuntu2) raring; urgency=low

  * Rebuild to pick up the new libgc1c3 dependency.
 -- Matthias Klose <email address hidden>   Wed, 27 Feb 2013 13:41:46 +0000
Superseded in raring-release on 2013-02-28
Deleted in raring-proposed on 2013-03-01 (Reason: moved to release)
inkscape (0.48.4-0.1ubuntu1) raring; urgency=low

  * Merge from Debian Experimental (LP: #1106182). Remaining changes:
    - debian/control:
      + Ubuntu maintainers
      + Build against lcms2 (LP: #885324)
      + Drop build-dependency on specific libwpd/libwpg version.
      + promote libgnomevfs2-extra to recommends (lp: #496223)
      + Demote pstoedit to Suggests (universe package).
      + Suggest transfig to allow import of xfig files (LP: #668300)
      + Drop unnecessary python and skencil suggestions (LP: #762541)
      + Promote python-lxml, python-numpy, python-uniconvertor to Recommends.
    - Handle translation tasks for Ubuntu main (LP: #726850):
      + debian/rules: Add dh_translations to binary-arch rule
      + debian/control: Build-Depends dh-translations
    - debian/patches/01_add_unity_quicklist_support.patch: add "New Drawing"
      to Unity quicklist (LP: #676886)

Obsolete in quantal-updates on 2015-04-24
Obsolete in quantal-security on 2015-04-24
inkscape (0.48.3.1-1ubuntu6.1) quantal-security; urgency=low

  * SECURITY UPDATE: arbitrary file disclosure via XML external entity
    - debian/patches/CVE-2012-5656.patch: disable loading external entities
      in src/preferences-skeleton.h, src/ui/dialog/ocaldialogs.cpp,
      src/xml/repr-io.cpp.
    - CVE-2012-5656
  * SECURITY UPDATE: possible file loading from /tmp
    - debian/patches/CVE-2012-6076.patch: make sure filename is absolute
      in src/extension/implementation/script.cpp.
    - CVE-2012-6076
 -- Marc Deslauriers <email address hidden>   Tue, 29 Jan 2013 13:31:57 -0500
Obsolete in oneiric-updates on 2015-04-24
Obsolete in oneiric-security on 2015-04-24
inkscape (0.48.2-0ubuntu1.1) oneiric-security; urgency=low

  * SECURITY UPDATE: arbitrary file disclosure via XML external entity
    - debian/patches/CVE-2012-5656.dpatch: disable loading external
      entities in src/preferences-skeleton.h,
      src/ui/dialog/ocaldialogs.cpp, src/xml/repr-io.cpp.
    - CVE-2012-5656
  * SECURITY UPDATE: possible file loading from /tmp
    - debian/patches/CVE-2012-6076.dpatch: make sure filename is absolute
      in src/extension/implementation/script.cpp.
    - CVE-2012-6076
 -- Marc Deslauriers <email address hidden>   Tue, 29 Jan 2013 13:40:53 -0500
Obsolete in lucid-updates on 2016-10-26
Obsolete in lucid-security on 2016-10-26
inkscape (0.47.0-2ubuntu2.1) lucid-security; urgency=low

  * SECURITY UPDATE: arbitrary file disclosure via XML external entity
    - debian/patches/CVE-2012-5656.dpatch: disable loading external
      entities in src/preferences-skeleton.h,
      src/ui/dialog/ocaldialogs.cpp, src/xml/repr-io.cpp.
    - CVE-2012-5656
 -- Marc Deslauriers <email address hidden>   Tue, 29 Jan 2013 16:02:53 -0500
Published in precise-updates on 2013-01-30
Published in precise-security on 2013-01-30
inkscape (0.48.3.1-1ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: arbitrary file disclosure via XML external entity
    - debian/patches/CVE-2012-5656.patch: disable loading external entities
      in src/preferences-skeleton.h, src/ui/dialog/ocaldialogs.cpp,
      src/xml/repr-io.cpp.
    - CVE-2012-5656
  * SECURITY UPDATE: possible file loading from /tmp
    - debian/patches/CVE-2012-6076.patch: make sure filename is absolute
      in src/extension/implementation/script.cpp.
    - CVE-2012-6076
 -- Marc Deslauriers <email address hidden>   Tue, 29 Jan 2013 13:39:18 -0500
Superseded in raring-release on 2013-02-12
Deleted in raring-proposed on 2013-02-13 (Reason: moved to release)
inkscape (0.48.4-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1091308).  Fixes several Ubuntu bugs:
    - Inkscape crashed with SIGSEGV in getObject() (LP: #941317)
    - Inkscape crashed with SIGSEGV in
      Inkscape::Extension::Implementation::Script::effect() (LP: #944077)
    - Inkscape crashed with SIGSEGV in
      Inkscape::Extension::Output::get_extension() (LP: #973174)
    - Overlay scrollbars causing input boxes to be small (LP: #946631)
  * Drop 03_track_libpoppler25_abi_changes.patch: applied upstream
  * Drop 04_track_libpoppler25_abi_changes_colorspace.patch: applied upstream
 -- Alexander Valavanis <email address hidden>   Wed, 19 Dec 2012 13:45:59 +0000
Superseded in raring-release on 2012-12-20
Obsolete in quantal-release on 2015-04-24
inkscape (0.48.3.1-1ubuntu6) quantal; urgency=low

  * No change rebuild for poppler transition.
 -- Robert Ancell <email address hidden>   Wed, 12 Sep 2012 15:59:39 +1200
Superseded in quantal-release on 2012-09-12
inkscape (0.48.3.1-1ubuntu5) quantal; urgency=low

  * No change rebuild for poppler transition.
 -- Matthias Klose <email address hidden>   Tue, 11 Sep 2012 15:32:19 +0200
Superseded in quantal-release on 2012-09-11
inkscape (0.48.3.1-1ubuntu4) quantal; urgency=low

  * No change rebuild for libmagick transition
 -- Michael Terry <email address hidden>   Wed, 11 Jul 2012 16:04:28 -0400
Superseded in quantal-release on 2012-07-11
inkscape (0.48.3.1-1ubuntu3) quantal; urgency=low

  * No change rebuild for libpoppler26 (poppler 0.20.1-1ubuntu1)
 -- Robert Ancell <email address hidden>   Fri, 22 Jun 2012 17:35:32 +1200
Superseded in quantal-release on 2012-06-22
inkscape (0.48.3.1-1ubuntu2) quantal; urgency=low

  * Follow ABI changes for libpoppler25 (poppler 0.20.0-0ubuntu1).
    (LP: #1005565)
 -- Andy Whitcroft <email address hidden>   Mon, 11 Jun 2012 19:22:46 +0100
Superseded in quantal-release on 2012-06-12
Published in precise-release on 2012-03-29
inkscape (0.48.3.1-1ubuntu1) precise; urgency=low

  * Merge from Debian Unstable (LP: #966221). Remaining changes:
    - debian/control:
      + Ubuntu maintainers
      + Build against lcms2 (LP: #885324)
      + Drop build-dependency on specific libwpd/libwpg version.
      + promote libgnomevfs2-extra to recommends (lp: #496223)
      + Demote pstoedit to Suggests (universe package).
      + Suggest transfig to allow import of xfig files (LP: #668300)
      + Drop unnecessary python and skencil suggestions (LP: #762541)
      + Promote python-lxml, python-numpy, python-uniconvertor to Recommends.
    - Handle translation tasks for Ubuntu main (LP: #726850):
      + debian/rules: Add dh_translations to binary-arch rule
      + debian/control: Build-Depends dh-translations
    - debian/patches/01_add_unity_quicklist_support.patch: add "New Drawing"
      to Unity quicklist (LP: #676886)

Superseded in precise-release on 2012-03-29
inkscape (0.48.3.1-0ubuntu2) precise; urgency=low

  * promote libgnomevfs2-extra to recommends (lp: #496223)
 -- Nathan Williams <email address hidden>   Tue, 06 Mar 2012 20:01:01 +0100
Superseded in precise-release on 2012-03-06
inkscape (0.48.3.1-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #943984)
    - Fixes build errors with glibmm < 2.28
  * Build against lcms2 (LP: #885324)
 -- Alex Valavanis <email address hidden>   Thu, 01 Mar 2012 15:38:35 +0000
Superseded in precise-release on 2012-03-02
inkscape (0.48.3-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #933188).  Fixes several Ubuntu bugs:
    - inkscape fails to build with glib 2.31 (LP: #898538)
    - ctrl c ctrl v of text in edit mode crashes inkscape (LP: #496793)
    - Completely replace lcms1 by lcms2 in Ubuntu (LP: #885324)
    - parameters ending with '\' causes python to bomb (LP: #168417)
    - Extensions with <check> tags fail to load (LP: #668895)
    - ESC doesn't cancel move when using the Node Tool (LP: #788560)
    - unable to edit attributes in Inkscape XML Editor (LP: #884368)
    - Some layers should be visible by default in Layers dialog (LP: #902054)
    - Path Effect List is hidden (LP: #909958)
    - Input Devices > Hardware > Tree of devices is hidden (LP: #910467)
    - Glyphs Font styles are hidden (LP: #911079)
    - Error messages from Extensions hidden (LP: #911079)
    - Messages dialog doesn't work (LP: #911123)
  * Drop 02-add-shebangs-and-fix-permissions.dpatch: Applied upstream.
  * Drop build-dependency on specific libwpd/libwpg version.
 -- Alex Valavanis <email address hidden>   Thu, 16 Feb 2012 14:33:40 +0000

Available diffs

Superseded in precise-release on 2012-02-23
inkscape (0.48.2-0ubuntu4) precise; urgency=low

  * No-change rebuild against libpoppler19.
 -- Martin Pitt <email address hidden>   Tue, 06 Dec 2011 10:10:34 +0100

Available diffs

Superseded in precise-release on 2011-12-06
inkscape (0.48.2-0ubuntu3) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.
 -- Adam Conrad <email address hidden>   Fri, 02 Dec 2011 17:38:03 -0700

Available diffs

Superseded in precise-release on 2011-12-03
inkscape (0.48.2-0ubuntu2) precise; urgency=low

  * No change rebuild for imagemagick4 transition
 -- Michael Terry <email address hidden>   Fri, 18 Nov 2011 10:28:35 -0500

Available diffs

Obsolete in lucid-backports on 2016-10-26
inkscape (0.48.2-0ubuntu1~lucid1) lucid-backports; urgency=low

  * Backport for Lucid (LP: #844697)
  * debian/control:
    - Drop build-dependency on specific libwpd/libwpg version.
    - Drop build-dependency on dh-translations.
  * debian/rules:
    - Drop use of dh_translations
    - Call intltool-update manually
  * 03-add-translation-domain.dpatch - New patch to add translation domain to
    desktop entry file, replacing functionality of unavailable dh_translations
    tool.

Obsolete in maverick-backports on 2013-03-05
inkscape (0.48.2-0ubuntu1~maverick1) maverick-backports; urgency=low

  * Backport for Maverick (LP: #844697)
  * debian/control:
    - Drop build-dependency on specific libwpd/libwpg version.
    - Drop build-dependency on dh-translations.
  * debian/rules:
    - Drop use of dh_translations
    - Call intltool-update manually
  * 03-add-translation-domain.dpatch - New patch to add translation domain to
    desktop entry file, replacing functionality of unavailable dh_translations
    tool.

Obsolete in natty-backports on 2013-06-04
inkscape (0.48.2-0ubuntu1~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in precise-release on 2011-11-18
Obsolete in oneiric-release on 2015-04-24
inkscape (0.48.2-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #807912).  Fixes several Ubuntu bugs:
    - [SVG Font Editor] Crash when kerning an empty pair (LP: #706506)
    - Connector tool crash Inkscake (orthogonal mode) (LP: #771738)
    - Errors printed to console if openclipart search fails (LP: #638844)
    - pdf export with cairo 1.10 defaults to version PDF-1.5 (LP: #664335)
    - Cairo rendering broken for "use" elements when scaling or a viewBox
      (LP: #705345)
    - gimp_xcf.py crashed with TypeError in effect() (LP: #565296)
    - Enable build against libwpg-0.2 (LP: #778951)
    - Please add supported filetypes into MimeType line of inkscape.desktop
      (LP: #278307)
    - Inkscape fails to build with gcc 4.6 (LP: #707205)
  * Drop 01-libwpg0.2.dpatch - Applied upstream
  * Drop 03-add-missing-mimetypes.dpatch - Applied upstream
  * Drop 04-fix-build-with-gcc4.6.dpatch - Applied upstream
  * Drop 05-add-missing-includes.dpatch - Applied upstream
  * Drop fix-fontforge-glyph-template.dpatch - Applied upstream
 -- Alex Valavanis <email address hidden>   Sun, 10 Jul 2011 11:35:30 +0100
Superseded in oneiric-release on 2011-07-12
inkscape (0.48.1-2.1ubuntu1) oneiric; urgency=low

  * Merge from Debian Unstable (LP: #791728).  Remaining changes:
    - debian/control:
      + Ubuntu maintainers
      + Promote python-lxml, python-numpy, python-uniconvertor to Recommends.
      + Demote pstoedit to Suggests (universe package).
      + Suggest transfig to allow import of xfig files (LP: #668300)
      + Drop unnecessary python and skencil suggestions (LP: #762541)
    - Handle translation tasks for Ubuntu main (LP: #726850):
      + debian/rules: Add dh_translations to binary-arch rule
      + debian/control: Build-Depends dh-translations
    - debian/patches/01_add_unity_quicklist_support.patch: add "New Drawing"
      to Unity quicklist (LP: #676886)
    - debian/patches/fix-fontforge-glyph-template.dpatch: Cherry-pick
      patch from uptream trunk to fix layer structure in template (LP: #565296)
    - debian/patches/02-add-shebangs-and-fix-permissions.dpatch: No longer mark
      JavaScript extension files as standalone executables (LP: #602005):
      + share/extensions/*.js: Revert addition of shebangs
      + share/extensions/Makefile.am: Install *.js using _DATA rule rather
        than _SCRIPTS rule to avoid giving executable permission
  * debian/patches/fix-datamatrix-ui.dpatch: Prevent invalid input in
    Datamatrix extension dialog (LP: #738108)
 -- Alex Valavanis <email address hidden>   Thu, 02 Jun 2011 18:13:05 +0100
Superseded in oneiric-release on 2011-06-06
inkscape (0.48.1-2ubuntu5) oneiric; urgency=low

  * debian/rules: No need to manually call intltool-update on build.  This
    is now handled by dh_translations.
  * debian/control: No longer suggest python and skencil.  They do not
    offer any enhancement to Inkscape (LP: #762541)
  * debian/control: Suggest transfig to allow import of xfig files
    (LP: #668300)
  * debian/patches/02-add-shebangs-and-fix-permissions.dpatch:
    No longer mark JavaScript extension files as standalone executables
    (LP: #602005):
    - share/extensions/*.js: Revert addition of shebangs
    - share/extensions/Makefile.am: Install *.js using _DATA rule rather
      than _SCRIPTS rule to avoid giving executable permission
  * debian/patches/fix-fontforge-glyph-template.dpatch: Cherry-pick
    patch from uptream trunk to fix layer structure in template (LP: #565296)
 -- Alex Valavanis <email address hidden>   Mon, 30 May 2011 18:50:49 +0100
Superseded in oneiric-release on 2011-06-01
inkscape (0.48.1-2ubuntu4) oneiric; urgency=low

  * debian/rules: Drop broken code to add translation domain to desktop files.
    Replace this with a call to dh_translations. Add dh-translations build
    dependency for this. Thanks to Alex Valavanis for pointing this out, and
    the original patch. (LP: #726850)
 -- Martin Pitt <email address hidden>   Mon, 30 May 2011 11:02:45 +0200

Available diffs

Superseded in oneiric-release on 2011-05-30
inkscape (0.48.1-2ubuntu3) oneiric; urgency=low

  * debian/patches/04-fix-gcc4.6-ftbfs.dpatch: Fix build failure with gcc 4.6
    - Backport upstream patch (lp:inkscape:r10071)
    - Add <cstddef> inclusion to src/2geom/utils.h
 -- Alex Valavanis <email address hidden>   Sun, 01 May 2011 01:08:10 +0100
Superseded in oneiric-release on 2011-05-01
Obsolete in natty-release on 2013-06-04
inkscape (0.48.1-2ubuntu2) natty; urgency=low

  * debian/patches/01_add_unity_quicklist_support.patch:
    - updated with latest specification
 -- Didier Roche <email address hidden>   Tue, 22 Mar 2011 16:27:15 +0100

Available diffs

Obsolete in maverick-updates on 2013-03-05
Deleted in maverick-proposed on 2013-03-05 (Reason: moved to -updates)
inkscape (0.48.0-1ubuntu1.2) maverick-proposed; urgency=low

  * Backport upstream patch 03-fix-kubuntu-document-properties.dpatch to
    prevent a crash when opening the document properties dialog in
    KDE (LP: #658055)
 -- Alex Valavanis <email address hidden>   Sat, 19 Mar 2011 02:31:12 +0100
Superseded in natty-release on 2011-03-22
inkscape (0.48.1-2ubuntu1) natty; urgency=low

  * Merge with Debian unstable (LP: #719648, LP: #278307).  Remaining changes:
  * debian/control:
    - Ubuntu maintainers
    - Promote python-lxml, python-numpy, python-uniconvertor to Recommends.
    - Demote pstoedit to Suggests (universe package).
  * debian/rules:
    - Run intltool-update on build (Ubuntu-specific).
    - Add translation domain to .desktop files (Ubuntu-specific)
  * debian/patches/01_add_unity_quicklist_support.patch:
    - add unity quicklist support for a new entry to inkscape (LP: #676886)

Superseded in natty-release on 2011-02-21
inkscape (0.48.1-0ubuntu2) natty; urgency=low

  * debian/patches/01_add_unity_quicklist_support.patch:
    - add unity quicklist support for a new entry to inkscape (LP: #676886)
 -- Didier Roche <email address hidden>   Thu, 17 Feb 2011 14:48:57 +0100

Available diffs

Superseded in maverick-updates on 2011-04-07
Deleted in maverick-proposed on 2011-04-08 (Reason: moved to -updates)
inkscape (0.48.0-1ubuntu1.1) maverick-proposed; urgency=low

  * Backport upstream patch 02-fix-cursor-redraw.dpatch to fix cursor
    redraw in rulers (LP: #627134)
 -- Alex Valavanis <email address hidden>   Tue, 15 Feb 2011 00:16:43 +0100
175 of 136 results